<?php
/**
 * Id: entry
 * File Type: ajax
 * Class: ZippyCourses_PublicAjax_Entry
 *
 * @since 1.0.0
 */
class ZippyCourses_PublicAjax_Entry
{
    public function __construct()
    {
        add_action('wp_ajax_nopriv_complete_entry', array($this, 'completeEntry'));
        add_action('wp_ajax_complete_entry', array($this, 'completeEntry'));

        add_action('wp_ajax_nopriv_uncomplete_entry', array($this, 'uncompleteEntry'));
        add_action('wp_ajax_uncomplete_entry', array($this, 'uncompleteEntry'));
    }

    public function _toggleEntryComplete()
    {
        $zippy = Zippy::instance();
        
        $data = json_decode(file_get_contents('php://input'));

        if (isset($data->user_id) && isset($data->id)) {
            $student = $zippy->make('student', array($data->user_id));
            $student->toggleEntryComplete($data->id);
        }

        die();
    }

    public function completeEntry()
    {
        $this->_toggleEntryComplete();
    }

    public function uncompleteEntry()
    {
        $this->_toggleEntryComplete();
    }
}
