<?php

class ZippyCourses_Order_FormProcessor extends Zippy_FormProcessor
{
    public function process()
    {
        if ($this->requiresRegistration()) {
            $this->redirectToRegistration();
        } else {
            if ($this->validate()) {
                $this->execute();
            } else {
                $this->fail();
            }
        }

        return;
    }

    public function requiresRegistration()
    {
        $settings = get_option('zippy_payment_general_settings', array());
        $payment_flow = isset($settings['payment_flow']) ? $settings['payment_flow'] : '1';

        return $payment_flow == '0' && !is_user_logged_in();
    }

    public function redirectToRegistration()
    {
        $zippy = Zippy::instance();

        $product_id = filter_input(INPUT_POST, 'product_id');
        
        $redirect   = $zippy->core_pages->getUrl('buy') . $product_id;
        $url        = $zippy->core_pages->getUrl('register') . '?redirect_to=' . urlencode($redirect);

        $zippy->sessions->flashMessage(
            sprintf(
                __('You must register to purchase %s', ZippyCourses::TEXTDOMAIN),
                '<strong>' . get_the_title($product_id) . '</strong>'
            ),
            'warning'
        );

        wp_redirect($url);
        exit;
    }

    public function fail()
    {
        $zippy = Zippy::instance();
        
        $zippy->sessions->flashMessage(__('This product cannot be purchased at this time.', ZippyCourses::TEXTDOMAIN), 'error', 0);

        return null;
    }

    public function execute()
    {
        return $this->fail();
    }
}
