<?php
    $zippy = Zippy::instance();
    $student = $zippy->cache->get('student');
    $title = apply_filters(
        'widget_title',
        (!empty($title)
            ? $title
            : 'Course Progress'
        ),
        $instance,
        $this->id_base
    );
    if (empty($student)) {
        return;
    }
    $course_ids  = $student->getCourseIDs();
    $html = $before_title . $title . $after_title;

    foreach ($course_ids as $course_id) {
        $course = $student->getCourse($course_id);
        $progress = $student->getCourseProgress($course);
        $course_title = get_the_title($course_id);
        $html .= '<p class="zippy-progress-bar-course-title">' . $course_title . '</p>';
        $html .='    <div class="zippy-progress">';
        $html.= '        <div class="zippy-progress-bar" role="progressbar" aria-valuenow="' . $progress;
        $html .= '" aria-valuemin="0" aria-valuemax="100" style="width: ' . $progress;
        $html .= '%">';
        
        $html.=  $progress . '% ' . __('Complete', ZippyCourses::TEXTDOMAIN);
        $html.='        </div>';
        if ($progress == 0) {
                $html.= '<span class="zippy-progress-bar-empty">';
                $html.= '0% ' . __('Complete', ZippyCourses::TEXTDOMAIN);
                $html.= '</span>';
        }
        $html.='    </div>';
    }
    

    echo apply_filters('zippy_filter_progress_bar_html', $html);
