<?php

class Zippy_Orders extends Zippy_Repository
{
    /**
     * A list of the valid repository object types
     * @var array
     */
    public $valid_types = array('Zippy_Order');

    public function fetchByOwner($user_id)
    {
        global $wpdb;

        $zippy = Zippy::instance();

        $query_id = "zippy_owner_{$user_id}_orders";

        if (($query = $zippy->queries->get($query_id)) === null) {
            $query = $zippy->make('query', array('id' => $query_id));
            $sql = $wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE post_author = %d AND post_type = %s", $user_id, 'zippy_order');

            $query->setSql($sql);

            $zippy->queries->add($query);
        }
        
        $post_ids = $query->getCol();

        foreach ($post_ids as $post_id) {
            $order = $zippy->make('order');
            $order->build($post_id);

            $this->add($order);
        }

        return $this->all();
    }
}
