<?php
/**
 * The template for displaying 404 pages (not found).
 *
 */

get_header(); ?>

<main class="site-content" role="main">

	<header class="page-header">
		<div class="container">
			<h2 class="entry-title page-title"><?php  echo apply_filters( 'zippy_404_page_title', __('Oops! That page can&rsquo;t be found.', ZippyCoursesTheme::TEXTDOMAIN) ); ?></h2>	
		</div>
	</header>

	<div id="primary" class="content-area">

		<div class="container">
			
			<div class="row">

				<div id="content" class="entry-content col-md-10 col-md-offset-1" role="main">
				<?php if( is_user_logged_in() && class_exists( 'Zippy' ) ) : ?>
					<?php $zippy = Zippy::instance(); ?>
					<p><?php __('Sorry about that! Don\'t worry, you can click your heels three times and then click the button below to return to the home page or your Dashboard.', ZippyCoursesTheme::TEXTDOMAIN); ?></p>
					<p><a href="<?php home_url(); ?>" class="btn btn-primary"><?php _e('Back to Home', ZippyCoursesTheme::TEXTDOMAIN); ?></a> <a href="<?php echo $zippy->core_pages->getUrl('dashboard'); ?>" class="btn btn-default"><?php _e('Back to Dashboard', ZippyCoursesTheme::TEXTDOMAIN); ?></a></p>
				<?php else : ?>
					<p><?php _e('Sorry about that! Don\'t worry, you can click your heels three times and then click the button below to return to the home page.', ZippyCoursesTheme::TEXTDOMAIN); ?></p>
					<p><a href="<?php home_url(); ?>" class="btn btn-primary"><?php _e('Back to Home', ZippyCoursesTheme::TEXTDOMAIN); ?></a></p>
				<?php endif; ?>
				</div><!-- #content -->
				
			</div>

		</div>
	</div><!-- #primary -->

<?php get_footer(); ?>
