<?php
/*
Id: zippy-template-options
Name: Template Options
Fields: zippy_template_options
Post Types: page, post, course, unit, lesson
Context: side
Priority: default
Version:     1.0.0
*/

$override   = isset($zippy_template_options['override']) ? (int) $zippy_template_options['override'] : 0;
$layout     = isset($zippy_template_options['layout']) ? $zippy_template_options['layout'] : 0;
$menu       = isset($zippy_template_options['menu']) ? $zippy_template_options['menu'] : 1;
$header     = isset($zippy_template_options['header']) ? $zippy_template_options['header'] : 1;
$footer     = isset($zippy_template_options['footer']) ? $zippy_template_options['footer'] : 1;
?>

<p>
    <label>
        <input type="checkbox" value="1" <?php checked(1, $override); ?> name="zippy_template_options[override]" />
        <?php _e('Override Default Layout?', ZippyCourses::TEXTDOMAIN); ?>
    </label>
</p>
<p class="zippy-layout-option">
    <label><?php _e('Layout', ZippyCourses::TEXTDOMAIN); ?>:</label>
    <select name="zippy_template_options[layout]">
        <option value="0"<?php selected(0, $layout); ?>><?php _e('Right Sidebar', ZippyCourses::TEXTDOMAIN); ?></option>
        <option value="1"<?php selected(1, $layout); ?>><?php _e('Left Sidebar', ZippyCourses::TEXTDOMAIN); ?></option>
        <option value="2"<?php selected(2, $layout); ?>><?php _e('No Sidebar', ZippyCourses::TEXTDOMAIN); ?></option>
    </select>    
</p>

<p class="zippy-layout-option">
    <label><?php _e('Menu', ZippyCourses::TEXTDOMAIN); ?>:</label>
    <select name="zippy_template_options[menu]">
        <option value="1"<?php selected(1, $menu); ?>><?php _e('On', ZippyCourses::TEXTDOMAIN); ?></option>
        <option value="0"<?php selected(0, $menu); ?>><?php _e('Off', ZippyCourses::TEXTDOMAIN); ?></option>
    </select>
</p>

<p class="zippy-layout-option">
    <label><?php _e('Header', ZippyCourses::TEXTDOMAIN); ?>:</label>
    <select name="zippy_template_options[header]">
        <option value="1"<?php selected(1, $header); ?>><?php _e('On', ZippyCourses::TEXTDOMAIN); ?></option>
        <option value="0"<?php selected(0, $header); ?>><?php _e('Off', ZippyCourses::TEXTDOMAIN); ?></option>
    </select>
</p>

<p class="zippy-layout-option">
    <label><?php _e('Footer', ZippyCourses::TEXTDOMAIN); ?>:</label>
    <select name="zippy_template_options[footer]">
        <option value="1"<?php selected(1, $footer); ?>><?php _e('On', ZippyCourses::TEXTDOMAIN); ?></option>
        <option value="0"<?php selected(0, $footer); ?>><?php _e('Off', ZippyCourses::TEXTDOMAIN); ?></option>
    </select>
</p>
