<?php
/**
 * The template for displaying Comments
 *
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<p><a href="#" class="hidden-lg hidden-md comment-toggle"><?php _e('Show Comments', ZippyCoursesTheme::TEXTDOMAIN); ?></a></p>
<div id="comments" class="comments-area col-sm-12 hidden-sm hidden-xs">

	<?php if ( have_comments() ) : ?>

	<h3 class="comments-title margin-top-zero">
		<?php
			printf( _n( 'One comment on &ldquo;%2$s&rdquo;', '%1$s comments on &ldquo;%2$s&rdquo;', get_comments_number(), ZippyCoursesTheme::TEXTDOMAIN),
				number_format_i18n( get_comments_number() ), get_the_title() );
		?>
	</h3>

	<ol class="comment-list">
		<?php
			wp_list_comments( array(
				'style'      => 'ol',
				'avatar_size'=> 0,
			) );
		?>
	</ol><!-- .comment-list -->

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text"><?php _e( 'Comment navigation', ZippyCoursesTheme::TEXTDOMAIN); ?></h1>
		<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', ZippyCoursesTheme::TEXTDOMAIN) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', ZippyCoursesTheme::TEXTDOMAIN) ); ?></div>
	</nav><!-- #comment-nav-below -->
	<?php endif; // Check for comment navigation. ?>

	<?php if ( ! comments_open() ) : ?>
	
	<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php comment_form( array(
		'logged_in_as' => false,
		'id_submit' => 'comment_submit',
		'comment_notes_after' => false
	)); ?>

</div><!-- #comments -->
