<?php

function zippy_theme_metaboxes() {
	zippy_theme_layout_mb();
}

function zippy_theme_layout_mb() {

	$post_types = array( 'page', 'post', 'course', 'unit', 'lesson' );
	
	foreach( $post_types as $pt ) {
		zippy_theme_layout_cpt_mb( $pt );
	}

	zippy_theme_course_public_layout_mb();

}

function zippy_theme_layout_cpt_mb( $post_type ) {

	$mb = new MetaBox( __('Template Options', ZippyCoursesTheme::TEXTDOMAIN), array( 'post_type' => $post_type ) );

	$options = $mb->addSection( 'zippy_template_options', array(
		'ownsChildren' => true
	));

	$options->addCheckboxField( 'override', '', array( '1' => 'Override Default Layout?' ) );

	$options->addSelectField( 'layout', __('Layout: ', ZippyCoursesTheme::TEXTDOMAIN), array( __('Right Sidebar', ZippyCoursesTheme::TEXTDOMAIN), __('Left Sidebar', ZippyCoursesTheme::TEXTDOMAIN), __('No Sidebar', ZippyCoursesTheme::TEXTDOMAIN) ) )->addContainerClass( 'zippy-layout-option' );
	$options->addSelectField( 'menu', __('Navigation: ', ZippyCoursesTheme::TEXTDOMAIN), array('1' => __('On', ZippyCoursesTheme::TEXTDOMAIN), '0' => __('Off', ZippyCoursesTheme::TEXTDOMAIN)) )->addContainerClass( 'zippy-layout-option' );
	$options->addSelectField( 'header', __('Header: ', ZippyCoursesTheme::TEXTDOMAIN), array('1' => __('On', ZippyCoursesTheme::TEXTDOMAIN), '0' => __('Off', ZippyCoursesTheme::TEXTDOMAIN)) )->addContainerClass( 'zippy-layout-option' );
	$options->addSelectField( 'footer', __('Footer: ', ZippyCoursesTheme::TEXTDOMAIN), array('1' => __('On', ZippyCoursesTheme::TEXTDOMAIN), '0' => __('Off', ZippyCoursesTheme::TEXTDOMAIN)) )->addContainerClass( 'zippy-layout-option' );

	add_meta_box( 'zippy-template-options', __('Template Options', ZippyCoursesTheme::TEXTDOMAIN), array( $mb, 'render' ), $post_type, 'side', 'default' );

}

function zippy_theme_course_public_layout_mb() {

	$post_type = 'course';

	$mb = new MetaBox( 'Template Options', array( 'post_type' => $post_type ) );

	$options = $mb->addSection( 'zippy_public_template_options', array(
		'ownsChildren' => true
	));

	$options->addCheckboxField( 'override', '', array( '1' => 'Override Default Layout?' ) );

	$options->addSelectField( 'layout', __('Layout: ', ZippyCoursesTheme::TEXTDOMAIN), array( __('Right Sidebar', ZippyCoursesTheme::TEXTDOMAIN), __('Left Sidebar', ZippyCoursesTheme::TEXTDOMAIN), __('No Sidebar', ZippyCoursesTheme::TEXTDOMAIN) ) )->addContainerClass( 'zippy-layout-option' );
	$options->addSelectField( 'menu', __('Navigation: ', ZippyCoursesTheme::TEXTDOMAIN), array('1' => __('On', ZippyCoursesTheme::TEXTDOMAIN), '0' => __('Off', ZippyCoursesTheme::TEXTDOMAIN)) )->addContainerClass( 'zippy-layout-option' );
	$options->addSelectField( 'header', __('Header: ', ZippyCoursesTheme::TEXTDOMAIN), array('1' => __('On', ZippyCoursesTheme::TEXTDOMAIN), '0' => __('Off', ZippyCoursesTheme::TEXTDOMAIN)) )->addContainerClass( 'zippy-layout-option' );
	$options->addSelectField( 'footer', __('Footer: ', ZippyCoursesTheme::TEXTDOMAIN), array('1' => __('On', ZippyCoursesTheme::TEXTDOMAIN), '0' => __('Off', ZippyCoursesTheme::TEXTDOMAIN)) )->addContainerClass( 'zippy-layout-option' );

	add_meta_box( 'zippy-public-template-options', __('Public Template Options', ZippyCoursesTheme::TEXTDOMAIN), array( $mb, 'render' ), $post_type, 'course_pricing_options_side', 'default' );

}

// This relies on the Zippy Courses plugin MetaBox class
if( class_exists( 'MetaBox' ) ) {
	add_action( 'admin_init', 'zippy_theme_metaboxes' );	
}